################################################################################################
## Configuration template for GXV-3140 firmware version 1.0.7.80                              ##
################################################################################################

####################################################################
##  Change Log                                                    ##
####################################################################

###########################################
# P values added since 1.0.7.76           #
###########################################

# P229 - PC Port VLAN ID
# P230 - PC Port VLAN Priority
# P2355, P2455, P2555 - Omit charset attribute in Content-Type header for account 1, 2 and 3.
# P2338, P2438, P2538 - Enable/disable Privacy header for account 1, 2 and 3.
# P2339, P2439, P2539 - Enable/disable P-Preferred-Identity header for account 1, 2 and 3.

###########################################
# P values added since 1.0.7.60           #
###########################################

# P2349, P2449, P2549 - Customized User ID display for account 1, 2 and 3

# P1558 - Layer 3 QoS for SIP
# P1559 - Layer 3 QoS for audio RTP
# P1560 - Layer 3 QoS for video RTP

# P258,  P449,  P549  - Check SIP User ID for Incoming INVITE (0 - No, 1 - Yes) for acccount 1, 2 and 3
# P2346, P2446, P2546 - Authenticate Incoming INVITE (0 - No, 1 - Yes) for acccount 1, 2 and 3
# P2347, P2447, P2547 - Accept SIP requests from known servers only for acccount 1, 2 and 3

# Remote Video Request.  0 - Prompt (Default), 1 - Accept Automatically, 2 - Deny Automatically
#P2326 = 0

# Remote Video Request.  0 - Prompt (Default), 1 - Accept Automatically, 2 - Deny Automatically
#P2426 = 0

# Remote Video Request.  0 - Prompt (Default), 1 - Accept Automatically, 2 - Deny Automatically
#P2526 = 0

# Secondary Outbound Proxy
#P2333 =

# Secondary Outbound Proxy
#P2433 =

# Secondary Outbound Proxy
#P2533 =

# Added Hebrew language support

###########################################
##   P Values Removed since 1.0.7.60      #
###########################################

# Layer 3 QoS (IP Diff-Serv or Precedence value for RTP)
# Allowed value: 0-63
#P38 = 0

# Enable Video (0 - No, 1 - Yes, 2 - Enable/Disable during dialing)
#P292 = 1

# Enable Video (0 - No, 1 - Yes, 2 - Enable/Disable during dialing)
#P461 = 1

# Enable Video (0- No, 1 -Yes, 2 - Enable/Disable during dialing)
#P561 = 1


####################################################################
##  Change Log End                                                ##
####################################################################

##############################################################################
# Account Settings                                                          ##
##############################################################################

# Account used for Line 1. 0- Account 1, 1- Account 2, 2- Account 3.
#P7045 = 0

# Account used for Line 2. 0- Account 1, 1- Account 2, 2- Account 3.
#P7046 = 1

# Account used for Line 3. 0- Account 1, 1- Account 2, 2- Account 3.
#P7047 = 2

##############################################################################
##  Account1 Settings                                                       ##
##############################################################################

#######################################################################
##  Account1 General Settings                                        ##
#######################################################################

# Account Active. 0- No, 1- Yes
P271 = 1

# Account Name, MaxLength 64 characters
P270 = 

# SIP Server, MaxLength 64 characters
P47 = 

# SIP User ID, MaxLength 64 characters
P35 = 

# Authenticate ID, MaxLength 64 characters
P36 = 

# Authenticate Password, MaxLength unlimited
P34 = 

# Voicemail UserID (User ID/extension for 3rd party voice mail system)
# MaxLength 64 characters
P33 = 

# Name (Display name :John Doe), MaxLength 64 characters
P3 = 

# Tel URI support. 0 - disabled, 1 - User is phone, 2 - Tel URI. Default value is 0
P63 = 0

# Customized User ID Display for Account 1
P2349 =

#######################################################################
##  Account1 Network Settings                                        ##
#######################################################################

# Outbound Proxy, MaxLength 32 characters
P48 = 

# Secondary Outbound Proxy
P2333 =

# DNS Mode. 0 - A Record, 1 - SRV, 2 - NAPTR/SRV.
P103 = 0

# NAT Traversal. 0 - No, 1 - STUN, 2 - keep-alive, 3 - UPnP, 4 - Auto, 5 - VPN
P52 = 2

# Proxy-Require, MaxLength 32 characters
P197 = 

#######################################################################
##  Account1 SIP Settings                                            ##
#######################################################################

# SIP Registration. 0 - No, 1 - Yes.
P31 = 1

# Unregister On Reboot.0 - No, 1 - Yes.
P81 = 0

# Register Expiration (m)(in minutes. default 1 hour, max 45 days)
P32 = 60

# Wait Time Retry Registration (s)(in seconds. Between 1-3600, default is 20)
P138 = 20

# Local SIP Port (Allowed value: 5-65535, default 5060)
P40 = 5060

# SUBSCRIBE for MWI (Whether or not send SUBSCRIBE for Message Waiting Indication)
# 0 - No, 1 - Yes.
P99 = 0

# Session Expiration (in seconds. default 180 seconds. Allowed value: 90-64800)
P260 = 180

# Min-SE (s)(Allowed value: 90-64800, default 90 seconds)
P261 = 90

# UAC Specify Refresher. 0 - Omit, 1 - UAC, 2 - UAS
P266 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS
P267 = 1

# Force INVITE(Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE)
# 0 - no, 1 - yes
P265 = 0

# Caller Request Timer(Request for timer when calling). 0 - no, 1 - yes
P262 = 0

# Callee Request Timer(Request for timer when called.
# i.e. if remote party supports timer but did not request for one). 0 - No, 1 - Yes
P263 = 0

# Force Timer (Still use timer when remote party does not support timer). 0 - No, 1 - Yes
P264 = 0

# Enable 100rel. 0 - No, 1 - Yes
P272 = 0  

# Use Privacy Header.  0 - Default, 1 - No, 2 - Yes
P2338 = 0

# Use P-Preferred-Identity Header.  0 - Default, 1 - No, 2 - Yes
P2339 = 0

# SIP Transport (0- UDP , 1- TCP, 2 -TLS)
P130 = 0

# Symmetric RTP (0 - No, 1 - Yes)
P291 = 0 

# Support SIP Instance ID (0 - No, 1 - Yes)
P288 = 1

# Validate Incoming Messages (0 - No, 1 - Yes)
P2306 = 0 

# Check SIP User ID for Incoming INVITE (0 - No, 1 - Yes)
P258 = 0

# Authenticate Incoming INVITE (0 - No, 1 - Yes)
P2346 = 0

# Accept SIP Requests from Known Servers (0 - No, 1 - Yes)
P2347 = 0

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec. 
P209 = 50

# SIP T2 Timeout. RFC 3261 T2 value.
# The maximum retransmit interval for non-INVITE requests and INVITE responses.
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 400.
P250 = 400

# Remove OBP from route (0 - No, 1 - Yes)
P2305 = 0

# Omit Charset Attribute in SIP Message.  0 - No, 1 - Yes
P2355 = 0

#######################################################################
##  Account1 Codec Settings                                          ##
#######################################################################

# Start video automatically. 0 - No, 1 - Yes. Default value is 1
P2314 = 1

# Remote Video Request.  0 - Prompt (Default), 1 - Accept Automatically, 2 - Deny Automatically
P2326 = 0

# DTMF in audio (0 - No, 1 - Yes)
P2301 = 0

# DTMF via RFC2833 (0 - No, 1 - Yes)
P2302 = 1

# DTMF via SIP INFO (0 - No, 1 - Yes)
P2303 = 0

# DTMF Payload Type, Allowed value: 96-127
P79 = 101

# Preferred Vocoder
# 0 - PCMU, 2 - G.726-32, 3 - GSM, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B, 98 - L16-256

# First codec.
P57 = 0

# Second codec. 
P58 = 8

# Third codec.
P59 = 4

# Forth codec. 
P60 = 18

# Fifth codec.
P61 = 9

# Sixth codec.
P62 = 3

# Seventh codec.
P46 = 0

# Eighth codec.
P98 = 0

# Preferred Video Codec:   99 - H.264, 34 - H.263, 100 - H.263+ (1998)
# Choice 1
P295 = 99

# Choice 2
P296 = 99

# Choice 3 
P1307 = 99

# Enable RFC5168 support: 0 - Disabled, 1 - Enabled
P1331 = 0

# H.264 image size selection: 0 - QVGA (Default), 2 - WQVGA, 3 - QQVGA, 5- CIF, 6 - QCIF. Default value is 0
P2307 = 0

# H.264 Payload Type, Allowed value: 96-127
P293 = 99

# H.263+ Paylod Type, Allowed value: 96-127
P350 = 100
 
# L16-256 Paylod Type, Allowed value: 96-127
P2300 = 98

# H.263 Encoder Resolution. 0 - CIF, 1 - QCIF.
P1330 = 0

# SRTP Mode 0- Disabled. 1- Enabled but not forced. 2- Enabled and forced.
P183 = 0 

# Silence Suppression. 0 - No, 1 - Yes.
P50 = 0

# Voice Frames per TX.
# Allowed value: 1-64
P37 = 2

# G723 Rate (0- 6.3 kbps, 1- 5.3kbps)
P49 = 1

# Jitter Buffer Type (0-Fixed , 1 -Adaptive) 
P133 = 1

# Jitter Buffer Length (0-Low, 1-Medium, 2- High)
P132 =1

# Send Silent RTP Packets on Mute. 0 - No (Default), 1 - Yes.
P2328 = 0

#######################################################################
##  Account1 Call Settings                                           ##
#######################################################################

# Dial Plan Prefix, MaxLength 32
P66 = 

# Dial Plan Maxlength: unlimited, default is allow all { x+ | *x+ | *xx*x+ }
P290 = { x+ | *x+ | *xx*x+ }

# Early Dial. 0 - No, 1 - Yes
P29 = 0

# Refer-To Use Target Contact. 0 - No, 1 - Yes
P135 = 0

# Auto Answer.0 - No, 1 - Yes, 2 - Intercom/Paging
P90 = 0

# Send Anonymous. 0 - No, 1 - Yes ((caller ID will be blocked if set to Yes)
P65 = 0

# Anonymous Call Rejection.  0 - No (default),  1 - Yes  
P129 = 0

# Special Feature.  100-Standard, 108-CBCOM, 109-RNK, 113-China Mobile, 114-ZTE IMS, 115-Mobotix, 116-ZTE NGN, 117-Huawei IMS. 
P198 = 100

# Feature Key Synchronization.   0 - Disable (default),  1 - Broadsoft.
P2325 = 0

# Enable Call Features. 0 - No, 1 - Yes.
P191 = 1

# Delayed Call Forward Wait Time (s). Default is 20 seconds, maxlength = 5  
P139 = 20

# No Key Entry Timeout (s), Allowed value: 1-15
P85 = 4 

# Ring Timeout. (10-300, default is 60 seconds)
P1328 = 60

# Transfer on Conference Hangup. 0 - No, 1 - Yes
P2304 = 0

# Use # as Dial Key. 0 - No, 1 - Yes.
P72 = 1

# Account Ring Tone, Maxlength = 128
#P104 = 

# Match Incoming Caller ID1 
#P871 = 

# Distinctive Ring Tone1, Maxlength = 128
#P870 = 

# Match Incoming Caller ID2
#P873 = 

# Distinctive Ring Tone2, Maxlength = 128
#P872 =

# Match Incoming Caller ID3 
#P875 = 

# Distinctive Ring Tone3, Maxlength = 128
#P874 = 

##############################################################################
##  Account2 Settings                                                       ##
##############################################################################

#######################################################################
##  Account2 General Settings                                        ##
#######################################################################

# Account Active. 0 - No, 1 - Yes
P401 = 1

# Account Name , MaxLength 64 characters
P417 = 

# SIP Server , MaxLength 64 characters
P402 = 

# SIP User ID, MaxLength 64 characters
P404 = 

# Authenticate ID, MaxLength 64 characters
P405 = 

# Authenticate Password, MaxLength: unlimited
P406 = 

# Voicemail UserID (User ID/extension for 3rd party voice mail system)
# MaxLength 64 characters
P426 = 

# Name (Display name :John Doe), MaxLength 64 characters
P407 = 

# Tel URL Support. 0 - disabled, 1 - User is phone, 2 - Tel URI. Default value is 0
P409 = 0

# Customized User ID Display for Account 2
P2449 =

#######################################################################
##  Account2 Network Settings                                        ##
#######################################################################

# Outbound Proxy, MaxLength 32 characters
P403 = 

# Secondary Outbound Proxy
P2433 =

# DNS Mode. 0 - A Record, 1 - SRV, 2 - NAPTR/SRV.
P408 = 0

# NAT Traversal. 0 - No, 1 - STUN, 2 - keep-alive, 3- UPnP, 4- Auto, 5- VPN
P414 = 2

# Proxy-Require, MaxLength 32 characters 
P418 = 

#######################################################################
##  Account2 SIP Settings                                            ##
#######################################################################

# SIP Registration. 0 - No, 1 - Yes.
P410 = 1

# Unregister On Reboot. 0 - No, 1 - Yes.
P411 = 0

# Register Expiration (m)(in minutes. default 1 hour, max 45 days)
P412 = 60

# Wait Time Retry Registration (s)(in seconds. Between 1-3600, default is 20)
P471 = 20

# Local SIP Port (Allowed value: 5-65535, default 5062)
P413 = 5062

# SUBSCRIBE for MWI (Whether or not send SUBSCRIBE for Message Waiting Indication)
# 0 - No, 1 - Yes.
P415 = 0

# Session Expiration (in seconds. Allowed value: 90-64800, default 180 seconds)
P434 = 180

# Min-SE (s)(Allowed value: 90-64800, default 90 seconds)
P427 = 90

# UAC Specify Refresher. 0 - Omit, 1 - UAC, 2 - UAS
P432 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS
P433 = 1

# Force INVITE(Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE)
# 0 - No, 1 - Yes
P431 = 0

# Caller Request Timer(Request for timer when calling). 0 - No, 1 - Yes
P428 = 0

# Callee Request Timer(Request for timer when called.
# i.e. if remote party supports timer but did not request for one). 0 - No, 1 - Yes
P429 = 0

# Force Timer (Still use timer when remote party does not support timer)
# 0 - No, 1 - Yes
P430 = 0

# Enable 100rel. 0 - No, 1 - Yes
P435 = 0 

# Use Privacy Header.  0 - Default, 1 - No, 2 - Yes
P2438 = 0

# Use P-Preferred-Identity Header.  0 - Default, 1 - No, 2 - Yes
P2439 = 0

# SIP Transport (0- UDP , 1- TCP, 2 -TLS)
P448 = 0

# Symmetric RTP (0 - No, 1 - Yes)
P460 = 0 

# Support SIP Instance ID (0 - No, 1 - Yes)
P489 = 1

# Validate Incoming Messages (0 - No, 1 - Yes)
P2406 = 0 

# Check SIP User ID for Incoming INVITE (0 - No, 1 - Yes)
P449 = 0

# Authenticate Incoming INVITE (0 - No, 1 - Yes)
P2446 = 0

# Accept SIP Requests from Known Servers (0- no, 1 -yes)
P2447 = 0

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec. 
P440 = 50

# SIP T2 Timeout. RFC 3261 T2 value.
# The maximum retransmit interval for non-INVITE requests and INVITE responses.
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 400.
P441 = 400

# Remove OBP from route (0 - No, 1 - Yes)
P2405 = 0

# Omit Charset Attribute in SIP Message.  0 - No, 1 - Yes
P2455 = 0

#######################################################################
##  Account2 Codec Settings                                          ##
#######################################################################

# Start video automatically. 0 - No, 1 - Yes. Default value is 1.
P2414 = 1

# Remote Video Request.  0 - Prompt (Default), 1 - Accept Automatically, 2 - Deny Automatically
P2426 = 0

# DTMF in audio (0 - No, 1 - Yes)
P2401 = 0

# DTMF via RFC2833 (0 - No, 1 - Yes)
P2402 = 1

# DTMF via SIP INFO (0 - No, 1 - Yes)
P2403 = 0

# DTMF Payload Type, Allowed value: 96-127
P496 = 101

# Preferred Vocoder
# 0 - PCMU, 2 - G.726-32, 3 - GSM, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B, 98 - L16-256

# First codec.
P451 = 0

# Second codec. 
P452 = 8

# Third codec.
P453 = 4

# Forth codec. 
P454 = 18

# Fifth codec.
P455 = 9

# Sixth codec.
P456 = 3

# Seventh codec.
P457 = 0

# Eighth codec.
P458 = 0

# Preferred Video Codec:   99 - H.264, 34 - H.263, 100 - H.263+ (1998)
# Choice 1
P464 = 99

# Choice 2
P465 = 99

# Choice 3
P475 = 99

# Enable RFC5168 support: 0 - Disabled, 1 - Enabled
P478 = 0

# H.264 image size selection: 0 - QVGA (Default), 2 - WQVGA, 3 - QQVGA, 5- CIF, 6 - QCIF. Default value is 0
P2407 = 0

# H.264 Payload Type, Allowed value: 96-127
P462 = 99

# H.263+ Payload Type, Allowed value: 96-127
P473 = 100

# L16-256 Payload Type, Allowed value: 96-127
P2400 = 98

# H.263 Encoder Resolution. 0- CIF, 1-QCIF.
P477 = 0

# SRTP Mode. 0- Disabled. 1- Enabled but not forced. 2- Enabled and forced.
P443 = 0 

# Silence Suppression. 0-No, 1 -Yes.
P485 = 0

# Voice Frames per TX.
# Allowed value: 1-64
P486 = 2

# G723 Rate (0- 6.3 kbps, 1- 5.3kbps)
P493 = 1

# Jitter Buffer Type (0-Fixed , 1 -Adaptive) 
P498 = 1

# Jitter Buffer Length (0-Low, 1-Medium, 2- High)
P497 = 1

# Send Silent RTP Packets on Mute. 0 - No (Default), 1 - Yes.
P2428 = 0

#######################################################################
##  Account2 Call Settings                                           ##
#######################################################################

# Dial Plan Prefix, MaxLength 32
P419 = 

# Dial Plan Maxlength: unlimited, default is allow all { x+ | *x+ | *xx*x+ }
P459 = { x+ | *x+ | *xx*x+ }

# Early Dial. 0 - No, 1 - Yes
P422 = 0

# Refer-To Use Target Contact. 0 - No, 1 - Yes
P469 = 0

# Auto Answer.0 - No, 1 - Yes, 2 - Intercom/Paging
P425 = 0

# Send Anonymous. 0 - No, 1 - Yes (caller ID will be blocked if set to Yes)
P421 = 0

# Anonymous Call Rejection.  0 - No (default),  1 - Yes  
P446 = 0

# Special Feature.  100-Standard, 108-CBCOM, 109-RNK, 113-China Mobile, 114-ZTE IMS, 115-Mobotix, 116-ZTE NGN, 117-Huawei IMS. 
P424 = 100

# Enable Call Features. 0 - No, 1 - Yes.
P420 = 1

# Feature Key Synchronization.   0 - Disable (default),  1 - Broadsoft.
P2425 = 0

# Delayed Call Forward Wait Time (s). Default is 20 seconds, maxlength = 5  
P470 = 20

# No Key Entry Timeout (s), Allowed value: 1-15
P491 = 4 

# Ring Timeout. (10-300, default is 60 seconds)
P476 = 60

# Transfer on Conference Hangup. 0 - No, 1 - Yes
P2404 = 0

# Use # as Dial Key. 0 - No, 1 - Yes.
P492 = 1

# Account Ring Tone, Maxlength = 128
#P423 = 

# Match Incoming Caller ID1 
#P881 = 

# Distinctive Ring Tone1, Maxlength = 128
#P880 = 

# Match Incoming Caller ID2
#P883 = 

# Distinctive Ring Tone2, Maxlength = 128
#P882 =

# Match Incoming Caller ID3 
#P885 = 

# Distinctive Ring Tone3, Maxlength = 128
#P884 = 

##############################################################################
##  Account3 Settings                                                       ##
##############################################################################

#######################################################################
##  Account3 Settings/ General Settings                              ##
#######################################################################
# Account Active. 0 - No, 1 - Yes
P501 = 1

# Account Name, MaxLength 64 characters 
P517 = 

# SIP Server, MaxLength 64 characters
P502 = 

# SIP User ID, MaxLength 64 characters
P504 = 

# Authenticate ID, MaxLength 64 characters
P505 = 

# Authenticate Password, MaxLength: unlimited
P506 = 

# Voicemail UserID (User ID/extension for 3rd party voice mail system)
# MaxLength 64 characters
P526 = 

# Name (Display name :John Doe, MaxLength 64 characters)
P507 = 

# Tel URL Support. 0 - Disabled, 1 - User is phone, 2 - Tel URI. Default value is 0
P509 = 0

# Customized User ID Display for Account 3
P2549 =

#######################################################################
##  Account3 Network Settings                                        ##
#######################################################################

# Outbound Proxy, MaxLength 32 characters
P503 = 

# Secondary Outbound Proxy
P2533 =

# DNS Mode  0 - A Record, 1 - SRV, 2 - NAPTR/SRV.
P508 = 0

# NAT Traversal. 0 - No, 1 - STUN, 2 - keep-alive, 3- UPnP, 4- Auto, 5- VPN 
P514 = 2

# Proxy-Require, MaxLength 32 characters
P518 = 

#######################################################################
##  Account3 SIP Settings                                            ##
#######################################################################

# SIP Registration. 0 - No, 1 - Yes.
P510 = 1

# Unregister On Reboot. 0 - No, 1 - Yes.
P511 = 0

# Register Expiration (m)(in minutes. default 1 hour, max 45 days)
P512 = 60

# Wait Time Retry Registration (s)(in seconds. Between 1-3600, default is 20)
P571 = 20

# Local SIP Port (Allowed value: 5-65535, default 5064)
P513 = 5064

# SUBSCRIBE for MWI (Whether or not send SUBSCRIBE for Message Waiting Indication)
# 0 - No, 1 - Yes.
P515 = 0

# Session Expiration (in seconds. default 180 seconds. Allowed value: 90-64800)
P534 = 180

# Min-SE (s)(Allowed value: 5-65535, default 90 seconds)
P527 = 90

# UAC Specify Refresher. 0 - Omit, 1 - UAC, 2 - UAS
P532 = 0

# UAS Specify Refresher. 1 - UAC, 2 - UAS
P533 = 1

# Force INVITE(Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE)
# 0 - No, 1 - Yes
P531 = 0

# Caller Request Timer(Request for timer when calling) 0 - No, 1 - Yes
P528 = 0

# Callee Request Timer(Request for timer when called. 
# i.e. if remote party supports timer but did not request for one) 0 - No, 1 - Yes
P529 = 0

# Force Timer (Still use timer when remote party does not support timer) 0 - No, 1 - Yes
P530 = 0

# Enable 100rel. 0 - No, 1 - Yes
P535 = 0

# Use Privacy Header.  0 - Default, 1 - No, 2 - Yes
P2538 = 0

# Use P-Preferred-Identity Header.  0 - Default, 1 - No, 2 - Yes
P2539 = 0

# SIP Transport (0- UDP , 1- TCP, 2 -TLS)
P548 = 0

# Symmetric RTP (0 - No, 1 - Yes)
P560 = 0

# Support SIP Instance ID (0 - No, 1 - Yes)
P589 = 1

# Validate Incoming Messages (0 - No, 1 - Yes)
P2506 = 0
 
# Check SIP User ID for Incoming INVITE (0 - No, 1 - Yes)
P549 = 0

# Authenticate Incoming INVITE (0 - No, 1 - Yes)
P2546 = 0

# Accept SIP Requests from Known Servers (0 - No, 1 - Yes)
P2547 = 0

# SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)
# 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec. 
P540 = 50

# SIP T2 Timeout. RFC 3261 T2 value. 
# The maximum retransmit interval for non-INVITE requests and INVITE responses.
# 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 400.
P541 = 400

# Remove OBP from route (0 - No, 1 - Yes)
P2505 = 0

# Omit Charset Attribute in SIP Message.  0 - No, 1 - Yes
P2555 = 0

#######################################################################
##  Account3 Codec Settings                                          ##
#######################################################################

# Start video automatically. 0 - No, 1 - Yes. Default value is 1.
P2514 = 1    

# Remote Video Request.  0 - Prompt (Default), 1 - Accept Automatically, 2 - Deny Automatically
P2526 = 0

# DTMF - in audio (method to send DTMF)  0 - No, 1 - Yes.
P2501 = 0

# DTMF- in RFC2833 (method to send DTMF)  0 - No, 1 - Yes
P2502 = 1

# DTMF- in SIP INFO (method to send DTMF)  0 - No, 1 - Yes
P2503 = 0

# DTMF Payload Type, Allowed value: 96-127
P596 = 101

# Preferred Vocoder
# 0 - PCMU, 2 - G.726-32, 3 - GSM, 4 - G.723.1, 8 - PCMA, 
# 9 - G.722, 18 - G.729A/B, 98 - L16-256

# First codec.
P551 = 0

# Second codec. 
P552 = 8

# Third codec.
P553 = 4

# Forth codec. 
P554 = 18

# Fifth codec.
P555 = 9

# Sixth codec.
P556 = 3

# Seventh codec.
P557 = 0

# Eighth codec.
P558 = 0

# Preferred Video Codec:   99 - H.264, 34 - H.263, 100 - H.263+ (1998)
# Choice 1
P564 = 99

# Choice 2
P565 = 99

# Choice 3
P575 = 99

# Enable RFC5168 support: 0 - Disabled, 1 - Enabled
P578 = 0

# H.264 image size selection: 0 - QVGA (Default), 2 - WQVGA, 3 - QQVGA, 5- CIF, 6 - QCIF. Default value is 0
P2507 = 0

# H.264 Payload Type, Allowed value: 96-127
P562 = 99

# H.263+ Payload Type, Allowed value: 96-127
P573 = 100

# L15-256 Payload Type, Allowed value: 96-127
P2500 = 98

# H.263 Encoder Resolution. 0- CIF, 1- QCIF.
P577 = 0

# SRTP Mode. 0- Disabled. 1- Enabled but not forced. 2- Enabled and forced.
P543 = 0 

# Silence Suppression. 0 - No, 1 - Yes.
P585 = 0

# Voice Frames per TX.
# Allowed value: 1-64
P586 = 2 

# G723 Rate (0- 6.3 kbps, 1- 5.3kbps)
P593 = 1

# Jitter Buffer Type (0-Fixed , 1 -Adaptive) 
P598 = 1

# Jitter Buffer Length (0-Low, 1-Medium, 2- High)
P597 =1

# Send Silent RTP Packets on Mute.  0 - No, 1 - Yes.
P2528 = 0

#######################################################################
##  Account3 Call Settings                                           ##
#######################################################################

# Dial Plan Prefix, MaxLength 32
P519 = 

# Dial Plan Maxlength: unlimited, default is allow all { x+ | *x+ | *xx*x+ }
P559 = { x+ | *x+ | *xx*x+ }

# Early Dial. 0 - No, 1 - Yes
P522 = 0

# Refer-To Use Target Contact. 0 - No, 1 - Yes
P569 = 0

# Auto Answer.0 - No, 1 - Yes, 2 - Intercom/Paging
P525 = 0

# Send Anonymous. 0 - No, 1 - Yes (caller ID will be blocked if set to Yes)
P521 = 0

# Anonymous Call Rejection.  0 - No (default),  1 - Yes  
P546 = 0

# Special Feature  100-Standard, 108-CBCOM, 109-RNK, 113-China Mobile, 114-ZTE IMS, 115-Mobotix, 116-ZTE NGN, 117-Huawei IMS. 
P524 = 100

# Feature Key Synchronization.   0 - Disable (default),  1 - Broadsoft.
P2525 = 0

# Enable Call Features. 0 - No, 1 - Yes.
P520 = 1

# Delayed Call Forward Wait Time (s). Default is 20 seconds, maxlength = 5  
P570 = 20

# No Key Entry Timeout (s), Allowed value: 1-15
P591 = 4

# Ring Timeout. (10-300, default is 60 seconds)
P576 = 60

# Transfer on Conference Hangup. 0 - No, 1 - Yes
P2504 = 0

# Use # as Dial Key. 0 - No, 1 - Yes.
P592 = 1 

# Account Ring Tone, Maxlength = 128
#P523 = 

# Match Incoming Caller ID1 
#P7061 = 

# Distinctive Ring Tone1, Maxlength = 128
#P7060 = 

# Match Incoming Caller ID2
#P7063 = 

# Distinctive Ring Tone2, Maxlength = 128
#P7062 =

# Match Incoming Caller ID3 
#P7065 = 

# Distinctive Ring Tone3, Maxlength = 128
#P7064 = 

##############################################################################
##  Advanced Settings                                                       ##
##############################################################################

#######################################################################
##  Advanced Settings/ General Settings                              ##
#######################################################################

# Local RTP Port, Allowed value: 5-65535
P39 = 5004 

# Use Random Port. 0 - No, 1 - Yes
P78 = 0

# Disable in-call DTMF display.  0 - No, 1 - Yes
P338 = 0

# Keep-alive Interval (s)(in seconds. Allowed value: 10-160, default 20 seconds)
P84 = 20

# STUN Server, MaxLength 32 characters
#P76 = stun.ipvideotalk.com

# Use NAT IP  This will enable our SIP client to use this IP in the SIP message. 
# Example 64.3.153.50.
P101 =

# SIP SSL Certificate
#P280 = 

# SIP SSL Private Key 
#P279 = 

# SIP SSL Private Key Password
P281 = s1pphone 

#######################################################################
##  Advanced Settings/ Call Features                                 ##
#######################################################################
# Disable Call-Waiting. 0 - No, 1 - Yes
P91 = 0

# Disable Call-Waiting Tone. 0 - No (Default), 1 - Yes
P186 = 0

# Disable DND Reminder Ring.  0 - No (Default), 1 - Yes
P1486 = 0

# Disable Direct IP Call. 0 - No, 1 - Yes
P277 = 0

# Escape '#' as %23 in SIP URI.  0 - No, 1 - Yes
P1406 = 1

# Offhook Auto Dial
P71 = 

#######################################################################
##  Advanced Settings/ Video Settings                                ##
#######################################################################

# Enable Motion Detection. 0 - No, 1- Yes
P7044 = 1 

# Video Frame Rate: default - 15 ( 5, 10, 12, 15, 20, 25, 30 frames/second).
P904 = 15

# Video Bit Rate(kbps): default is 128 ( 32, 64, 128, 160, 192, 224, 256, 320, 384, 512, 768, 1024 kbps).
P905 = 128

# Video Packet Size: maxlength = 4, from 300~1400, default is 1400
P927 = 1400

# Video Rate Control. 0 - Frame, 1 - TMN8, 2 - GOP
P924 =0

# Video Frame Skipping. 0 - No, 1 - Yes
P925 = 0

# I-Frame Reference Only. 0 - No, 1- Yes
P949 = 0

# Packetization Mode. 0- for 0, 1- for 1.
P957 = 0

# Redundant P-frame. 0 - No, 1- Yes
P956 = 0

# Adaptive MB Intra Refresh. 0 - No, 1- Yes
P958 = 0

# Video Packet Loss Rate. 0 - Less Than 5%, 1 - Less than 10%, 2 - Less than 15%
# 3 - Less than 20%, 4 - Less than 25%
P959 = 1

##############################################################################
##  Maintenance                                                             ##
##############################################################################

#######################################################################
##  Maintenance/ Network Settings                                    ##
#######################################################################

# Address Type. 0 - DHCP (default), 1 - Static, 2 - PPPoE
#P8 = 0

# PPPoE Account ID, MaxLength 32
# P82 =

# PPPoE password, MaxLength 32
# P83 =

# PPPoE service name, MaxLength 32
# P269 = 

# Host name, DHCP option 12. Maxlength: unlimited
P146 =

# Domain name, DHCP option 15. Maxlength is 64 characters
P147 =

# Vendor Class ID, DHCP option 60. Maxlength: unlimited
P148 =  GXV

# Static IP. IP address
#P9 = 192
#P10 = 168
#P11 = 0
#P12 = 160

# Static IP. Subnet Mask
#P13 = 255
#P14 = 255
#P15 = 0
#P16 = 0

# Static IP. Default Gateway
#P17 = 0
#P18 = 0
#P19 = 0
#P20 = 0

# Static IP. DNS Server 1. Ignore if DHCP or PPPoE is used
#P21 = 0
#P22 = 0
#P23 = 0
#P24 = 0

# Static IP. DNS Server 2. Ignore if DHCP or PPPoE is used
#P25 = 0
#P26 = 0
#P27 = 0
#P28 = 0

# Preferred DNS server, four field, octet digits
P92 = 0
P93 = 0
P94 = 0
P95 = 0

# Layer 3 QoS for SIP 
P1558 = 46

# Layer 3 QoS for Audio 
P1559 = 46

# Layer 3 QoS for Video
P1560 = 46

# Layer 2 QoS. 802.1Q/VLAN Tag (VLAN classification for RTP)
# Allowed value: 0-4095
P51 = 0

# Layer 2 QoS. 802.1p priority value
# Allowed value: 0-7
P87 = 0

# PC Port VLAN Tag 
P229 =

# PC Port Priority Value 
P230 = 

# 802.1x Mode: 0- 802.1x disabled (Default), 1- EAP/MD5
P7901 = 0

# 802.1x Identity, MaxLength 64
# P7902 =

# MD5 Password, MaxLength 64
# P7903 =

# User Agent.  Customized HTTP User-Agent header.
# MaxLength 64
P1541 =

#######################################################################
##  Maintenance/ Wifi Settings                                       ##
#######################################################################

# Wifi Function. 0- Disable, 1- Enable
#P7800 = 0

# Wireless-Mode.  (0-10)

#0 - legacy 11b/g mixed
#1 - legacy 11B onlyP7802 = 0
#2 - legacy 11A only 
#3 - legacy 11a/b/g mixed
#4 - legacy 11G only *                     
#5 - 11ABGN mixed *                     
#6 - 11N only *                     
#7 - 11GN mixed *                     
#8 - 11AN mixed *                     
#9 - 11BGN mixed *  (Default)                   
#10 - 11AGN mixed *                     

#P7802 = 9

# Wifi Network Type. Infra, Adhoc
#P7811 = Infra

# Channel (different options depends on CountryRegion)
# Default is Auto - 0 ( 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 channel).
#P7813 = 0

# ESSID 
#P7812 = 

# Authentication Mode. OPEN, SHARED, WEPAUTO, WPAPSK, WPA2PSK, WPANONE
#P7814 = OPEN
 
# Encryption.    AES, TKIP, WEP, NONE.
#P7815 = NONE

# WEP Default Key ID. (1 to 4)
#P7820 = 1

# WEP Default Key, MaxLength 64
#P7821 = 
#P7822 = 
#P7823 = 
#P7824 = 

# WPAPSK key, MaxLength 64
#P7829 = 

#######################################################################
##  Maintenance/ Time Settings                                       ##
#######################################################################

# NTP Server, MaxLength 32
#P30 = ntp.ipvideotalk.com

# DHCP Option 42 override NTP server. 0 - No, 1 - Yes. Default is Yes.
# When set to Yes(1), it will override the configured NTP server.
P144 = 1

# DHCP Option 2 to Override Time Zone setting. 0 - No, 1 - Yes.
# When set to Yes(1), it will override the configured Time Zone setting if available. 
P143 = 1

# Time Zone
#
# Australia
#   Melbourne,Canberra,Sydney EST-10EDT-11,M10.5.0/02:00:00,M3.5.0/03:00:00 
#   Perth                     WST-8 
#   Brisbane                  EST-10 
#   Adelaide                  CST-9:30CDT-10:30,M10.5.0/02:00:00,M3.5.0/03:00:00 
#   Darwin                    CST-9:30 
#   Hobart                    EST-10EDT-11,M10.1.0/02:00:00,M3.5.0/03:00:00 
#
# Europe 
#   Amsterdam, Netherlands    CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Athens, Greece            EET-2EEST-3,M3.5.0/03:00:00,M10.5.0/04:00:00 
#   Barcelona, Spain          CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Berlin, Germany           CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Brussels, Belgium         CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Budapest, Hungary         CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Copenhagen, Denmark       CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Dublin, Ireland           GMT+0IST-1,M3.5.0/01:00:00,M10.5.0/02:00:00 
#   Geneva, Switzerland       CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Helsinki, Finland         EET-2EEST-3,M3.5.0/03:00:00,M10.5.0/04:00:00 
#   Kyiv, Ukraine             EET-2EEST,M3.5.0/3,M10.5.0/4 
#   Lisbon, Portugal          WET-0WEST-1,M3.5.0/01:00:00,M10.5.0/02:00:00 
#   London, Great Britain     GMT+0BST-1,M3.5.0/01:00:00,M10.5.0/02:00:00 
#   Madrid, Spain             CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Oslo, Norway              CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Paris, France             CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Prague, Czech Republic    CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Roma, Italy               CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Moscow, Russia            MSK-3MSD,M3.5.0/2,M10.5.0/3 
#   St.Petersburg, Russia     MST-3MDT,M3.5.0/2,M10.5.0/3 
#   Stockholm, Sweden         CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00 
#   Tallinn, Estonia          EET-2EEST-3,M3.5.0/03:00:00,M10.5.0/04:00:00 
#
# New Zealand 
#   Auckland, Wellington      NZST-12NZDT-13,M10.1.0/02:00:00,M3.3.0/03:00:00 
#
# USA & Canada1 
#   Hawaii Time               HAW10 
#   Alaska Time               AKST9AKDT 
#   Pacific Time              PST8PDT 
#   Mountain Time             MST7MDT 
#   Mountain Time (Arizona)   MST7 
#   Central Time              CST6CDT 
#   Eastern Time              EST5EDT 
#   Atlantic Time             AST4ADT 
#   New Brunswick             AST4ADT,M4.1.0/00:01:00,M10.5.0/00:01:00 
#   Newfoundland              NST+3:30NDT+2:30,M4.1.0/00:01:00,M10.5.0/00:01:00 
#
# Asia 
#   Jakarta                   WIB-7 
#   Singapore                 SGT-8
#   Beijing, Taipei           TZY-8
#   Ulaanbaatar, Mongolia     ULAT-8ULAST,M3.5.0/2,M9.5.0/2 
#   Japan, Korea, Yakutsk     TZY-9
#
# Central and South America 
#   Brazil, Sao Paulo         BRST+3BRDT+2,M10.3.0,M2.3.0 
#   Argentina                 UTC+3 
#   Central America           CST+6
#
# customize
#
#P64 = EST5EDT

# Self-Defined Time Zone, MaxLength 32
#P246 = MTZ+6MDT+5,M4.1.0,M11.1.0

# Time Display Format. 12hr - 0, 24hr - 1 (Default).
P122 = 1

# Date Display Format. YY-MM-DD - 0, MM-DD-YY - 1 (Default), DD-MM-YY - 2.
P102 = 1

#######################################################################
##  Maintenance/Web/Telnet Access                                    ##
#######################################################################

# Disable Telnet. 0 - No, 1 - Yes
P276 = 0

# Web Access Method. 0 - HTTP, 1 - HTTPS
P900 = 0  

# Web Port: HTTP default is 80 and HTTPS default is 443  
P901 = 80

# Admin password for web interface, max. length is 32
P2 = admin

# End User Password, MaxLength 32
#P196 = 123

#######################################################################
##  Maintenance/ Upgrade and Provisioning                            ##
#######################################################################

# Enable IP2Location auto config service. 0 - No, 1 - Yes.
P7070 = 1

# Lock Keypad Update. 0 - No, 1 - Yes
P88 = 0

# Upgrade Via: (0 - TFTP,1 - HTTP and 2- HTTPS)
P212 = 1

# XML Config File Password
#P1359 = 

# HTTP/HTTPS User Name
#P1360 = 

# HTTP/HTTPS Password
#P1361 = 

# Firmware Server Path, MaxLength 128
P192 = fw.ipvideotalk.com/gs

# Config Server Path, MaxLength 128
P237 = fm.grandstream.com/gs

# Firmware File Prefix, MaxLength 128
P232 =

# Firmware File Postfix, MaxLength 128
P233 =

# Config File Prefix, MaxLength 128
P234 =

# Config File Postfix, MaxLength 128
P235 =

# DHCP Option 66 Override server. 0 - No, 1 - Yes. Default is  Yes.
# When set to Yes(1), it will override the configured provision path and method.
P145 = 1

# DHCP Option 120 Override SIP Server.  0 - No, 1 - Yes. Default is  Yes.
P1411 = 1

# Automatic Upgrade. 0 - No, 1 - Check every day, 2 - Check every week, 3 - Check at a Period Time. Default is 0.
P194 = 0

# Period time of upgrade checking. Unit is in minute, minimum 60 minutes, default is 7 days.
P193 = 10080

# Hour of the day (0-23) 
P285 = 1 

# Day of the week (0-6)
P286 = 1

# Automatic Upgrade Rule
# Use firmware pre/postfix to determine if f/w is required
# 0 = Always Check for New Firmware 
# 1 = Check New Firmware only when F/W pre/suffix changes
# 2 = Always Skip the Firmware Check
P238 = 0

#######################################################################
##  Maintenance/ Syslog                                              ##
#######################################################################

# Syslog Server- name of the server, max length is 32 charactors)
#P207 = log.ipvideotalk.com

# Syslog Level (Default setting is NONE)
# 0 - NONE, 1 - DEBUG, 2 - INFO, 3 - WARNING, 4 - ERROR
P208 = 0

# Send SIP Log. 0 - No, 1 - Yes
P1387 = 0

#######################################################################
##  Maintenance/ Language                                            ##
#######################################################################

# Language Selection: cs - CZECH, de - DEUTSCH, dk - DANSK,  en - ENGLISH(default), es - ESPANOL, 
# fr - FRANCAIS, he - Hebrew, it - ITALIANO, jp - JAPANESE, kr - KOREAN,
# nld - Dutch, ru - PYCCKNN, zh-tw  - Traditional CHINESE, zh - Simplified CHINESE.
#P1362 = en


#######################################################################
##  Maintenance/ TR-069                                              ##
#######################################################################

# ACS URL - (Use a valid URL).
# MaxLength 64
#P4503 = 

# ACS Username, MaxLength 64
#P4504 = 

# ACS password, MaxLength 30
#P4505 = 

# Periodic Inform Enable. 0 - No (Default), 1 - Yes.
#P4506 = 0

# Periodic Inform Interval (s) :
#P4507 = 300

# Connection Request Username, MaxLength 64
#P4511 = 

# Connection Request Password, MaxLength 30
#P4512 = 

# Connection Request Auth Mode. 0 - No, 1 - Basic, 2 - Digest. Default is No.
P4519 = 2

# Connection Request Port. 7547 - Default.
P4518 = 7547

#######################################################################
##  Maintenance/OpenVPN Settings                                     ##
#######################################################################

# Enable OpenVPN, 0 - No, 1 - Yes
#P7050 = 0 

# OpenVPN Server Address, MaxLength 300
#P7051 = 

# OpenVPN Server Port, Allowed value: 5-65535
#P7052 = 

#######################################################################
##  Maintenance/ Device Manager                                      ##
#######################################################################

# Headset TX Gain (dB), Allowed value: -6, 0, 6
P1301 = 0

# Headset RX Gain (dB), Allowed value: -6, 0, 6
P1302 = 0

# Camera Zoom Mode
# value = 0   1.0:1 (wide and default)
# value = 1   1.1:1
# value = 2   1.2:1
# value = 3   1.3:1
# value = 4   1.4:1
# value = 5   1.5:1
# value = 6   1.6:1
# value = 7   1.7:1
# value = 8   1.8:1
# value = 9   1.9:1
# value = 10  2.0:1 <optical tele)
# value = 11  2.2:1
# value = 12  2.4:1
# value = 13  2.6:1
# value = 14  2.8:1
# value = 15  3.0:1
# value = 16  3.2:1
# value = 17  3.4:1
# value = 18  3.6:1
# value = 19  3.8:1
# value = 20  4.0:1 (digital tele)
P914 = 0 

# Camera Exposure:    0 - 19
P915 = 8

# Camera Color Mode:     0 = Color mode (Default), 1 = Monochrome
P919 = 0

# Camera White Balance:  0 = auto (Default), 1 = fixed
P920 = 0 

# Camera Lens Correction: 0 = no, 1 = yes (Default)
P926 = 1

# Flicker Control: 0- auto, 1 - 60Hz, 2 - 50Hz
P7042 = 0

# TV Output:  0 = off (Default)
# value = 0   Off
# value = 1   NTSC (4:3)
# value = 2   NTSC (16:9)
# value = 3   PAL (4:3)
# value = 4   PAL (16:9)
P916 = 0
 
#######################################################################
##  Application Setting/Phonebook                                    ##
#######################################################################

# Clear The Old List.  0 - No, 1 - Yes.
P1435 = 0

# Replace Duplicate Items.  0 - No, 1 - Yes.
P1436 = 0

# Download Mode.  0 - Off,  1 - TFTP, 2 - HTTP
P330 =  2

# Download Server URL.
P331 = 

# Download Interval.  Default is 60 minutes.
# Allowed values: 0 - 720
P332 = 60

#######################################################################
##  Application Setting/Browser Settings                             ##
#######################################################################

# Start Browser on Boot. 0 - No (default), 1 - Yes
P950 = 0

# Browser Home Page.  maxlength=64
#P952 = 

#######################################################################
##  Application Setting/Skype                                        ##
#######################################################################

# Skype Maximum Video Bitrate: 256 (Default)
# Allowed value: 32 - 512
#P8001 = 256 
